@import '_default';

$yellow: #e4a769;

body {
  font-family: 'Montserrat', sans-serif;
  overflow-x: hidden;
  background-color: #f8f8f8;
}

.main-header {
  position: absolute;
  z-index: 1;
  width: 100%;
  padding: 30px 60px 30px;

  &.non-home {
    position: relative;
  }
}

.navbar {
  background: transparent;

  .custom-logo-link {
    margin-right: 60px;
  }

  .menu-item {
    a {
      color: #fff !important;
      font-size: 15px;
      font-weight: 400;
      text-transform: uppercase;
      padding: 18px 16px;

      &:hover {
        background: none !important;
        font-weight: 500;
      }
    }
    &.current-menu-item {
      a {
        font-weight: 500;
      }
    }
  }

  .search-wrap {
    float: left;
    position: relative;

    .fa-search {
      color: #fff;
      position: absolute;
      right: 15px;
      top: 24px;
    }

    .search {
      background: transparent;
      border-radius: 30px;
      padding-left: 15px;
      width: 120px;
      transition: 0.3s;
      border: 1px solid;
      border-color: #fff;
      color: #fff;
      font-size: 16px;
      font-weight: 400;

      &:focus,
      &:hover {
        width: 160px;
        outline: none;
      }

      &::placeholder {
        color: #fff;
      }
    }
  }
}

.non-home {
  background: #fff;

  .navbar {
    background: #fff;

    .menu-item a {
      color: #000 !important;
    }

    .search-wrap {
      i {
        color: #000;
      }

      .search {
        border-color: #000;
        color: #000;

        &::placeholder {
          color: #000;
        }
      }
    }
  }
}

.home-slider.slick-slider {
  height: 100vh;

  .slick-slide {
    height: 100vh;

    .item {
      height: 100vh;
      background-size: cover !important;
      position: relative;
    }
  }
}

.slick-dots {
  text-align: left;
  bottom: 150px;
  margin-left: 30px;
  width: 0;

  li {
    display: block;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
    margin: 30px 0;
    transition: 0.4s;

    &.slick-active {
      height: 150px;
      transition: 0.4s;

      div {
        margin-bottom: 20px;
      }

      &::after {
        content: '';
        border: 1px solid #fff;
        padding-bottom: 100px;
        margin-left: 8px;
      }
    }
  }
}

.form-inline {
  padding: 18px 0;
}

.lang {
  float: right;
  margin-left: 30px;

  img {
    height: 20px;
    margin-left: 10px;
  }
}

.caption-wrapper {
  position: absolute;
  top: 45%;
  left: 200px;

  h1 {
    font-size: 80px;
    font-weight: 600;
    /* Text style for "Бидний тух" */
    text-transform: uppercase;
    color: #fff;
  }
  .link-list {
    list-style: none;
    padding: 0;
    margin-top: 40px;

    li {
      margin-bottom: 8px;

      a {
        border-radius: 18px;
        background-color: $yellow;
        color: #fff;
        padding: 8px 15px;
        font-size: 15px;
        font-weight: 400;
        letter-spacing: 0.75px;
        line-height: 40px;

        &:hover {
          text-decoration: none;
        }
      }
    }
  }
}

.container {
  max-width: 1200px;
  margin: 0 auto;
}

.slick-arrow {
  display: block;
  position: absolute;
  top: 45%;
  height: 68px;
  width: 68px;
  right: 20%;
  z-index: 1;
  border: 0;
  border-radius: 50%;
  cursor: pointer;

  i {
    color: #fff;
    font-size: 16px;
    text-align: center;
    padding: 20px;
  }

  &.slick-prev {
    margin-right: 80px;
    background: #000;
  }

  &.slick-next {
    background: $yellow;
  }
}

.social-menu {
  display: inline-flex;
  list-style: none;

  &.home {
    float: right;
    position: absolute;
    bottom: 30px;
    right: 60px;
    li {
      margin-left: 10px;
      margin-right: 0;
    }
  }

  li {
    margin-left: 0;
    margin-right: 10px;
    i {
      background: #000;
      width: 34px;
      height: 34px;
      border-radius: 50%;
      text-align: center;
      padding-top: 8px;
      font-size: 16px;
      transition: 0.4s;
      color: #fff;
    }
  }
}

.page {
  padding: 100px 0;
}

.thumbnail {
  background-size: cover !important;
  background-position: center !important;
  background-repeat: no-repeat !important;
}

.post-featured {
  height: 800px;
}

.rs-row.flex {
  display: flex;
  flex-wrap: wrap;
  box-sizing: border-box;
}

.page {
  .post {
    padding: 40px 40px 40px 0;

    h4 {
      color: #1b262c;
      font-family: Montserrat;
      font-size: 26px;
      font-weight: 400;
      padding-right: 50px;
    }

    .content {
      color: #535353;
      font-family: Montserrat;
      font-size: 18px;
      font-weight: 300;
      line-height: 32px;
      margin-top: 15px;
      padding-right: 50px;
      height: 560px;
      overflow: scroll;
      overflow-x: hidden;
    }
  }

  .post-grid {
    margin-bottom: 100px;

    &:nth-child(even) {
      .show-grid {
        flex-direction: row-reverse;

        .post {
          padding: 40px 0 40px 40px;
        }
      }
    }
  }
}

.post-grid {
  ::-webkit-scrollbar {
    width: 2px;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    background-color: #eee;
  }

  /* Handle */
  ::-webkit-scrollbar-thumb {
    width: 3px;
    height: 212px;
    background-color: #a0a4a7;
  }

  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555;
  }
}

.flex {
  display: flex;
}

.justify-center {
  justify-content: center;
}

.navigation {
  text-align: center;
}

.contact {
  .nav-tabs {
    width: 850px;
    margin: 0 auto;
    border-bottom: 3px solid #000;

    .nav-item {
      width: 425px;
      text-align: center;

      .nav-link {
        color: #000000;
        font-family: Montserrat;
        font-size: 15px;
        font-weight: 600;
        text-transform: uppercase;
        border-radius: 0;
        border: 0;
        &.active {
          background: #000;
          color: #fff;
          border-radius: 0;
          border: 0 !important;
        }
        &:hover {
          border: 0;
        }
      }
    }
  }

  .contact-content {
    margin: 100px 0;
    font-size: 20px;
    font-weight: 300;
    letter-spacing: 0.4px;
    line-height: 35px;

    ul.contact-info {
      list-style: none;
      margin-bottom: 25px;

      li {
        margin: 5px 0;

        label {
          position: absolute;
        }

        span {
          margin-left: 80px;
          display: block;
        }
      }
    }
    .wpcf7 {
      margin-top: 30px;
      label {
        color: #3d3125;
        font-family: Montserrat;
        font-size: 16px;
        font-weight: bold;
        margin-bottom: 20px;
      }
      input,
      textarea {
        border: 0;
        border-bottom: 1px solid #d3d3d3;
        background: transparent;
      }
      textarea {
        width: 100% !important;
        height: 50px;
      }
      .submit {
        width: 158px;
        height: 50px;
        background-color: #e3a566;
        color: #ffffff;
        font-size: 16px;
        font-weight: 700;
      }
    }
  }

  .branch-info {
    h5 {
      color: #000000;
      font-family: Montserrat;
      font-size: 20px;
      font-weight: 400;
    }
  }

  .map-container {
    svg {
      max-width: 100%;
    }
  }
}

.page-video {
  height: 800px;
  text-align: center;
  img {
    position: relative;
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    cursor: pointer;
  }
}
.contact-page {
  .modal-body {
    padding: 0;
    iframe {
      width: 100%;
      height: 500px;
    }
    figure {
      margin-bottom: 0;
    }
  }
}

.timeline-title {
  font-size: 35px;
  font-weight: 400;
}

.timeline-carousel {
  padding: 0 100px;
  margin: 50px 0;
  .timeline-item {
    text-align: center;
    cursor: pointer;
    img {
      text-align: center;
      margin: 0 auto;
    }

    h6 {
      font-size: 16px;
      font-weight: 500;
      margin-top: 15px;
      font-size: 16px;
      font-weight: 500;
    }
    &.active {
      h6 {
        color: #87122c;
        font-family: Montserrat;
        font-size: 16px;
        font-weight: 600;
      }
    }
  }
  .slick-arrow {
    top: 50%;
    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
    background-color: #3f3f3f;
    opacity: 0.42;
    &.timeline-prev {
      left: 0;
    }
    &.timeline-next {
      right: 0;
    }
  }
}
.timeline-content {
  .item {
    display: none;
    h6 {
      color: #1b262c;
      font-family: Montserrat;
      font-size: 17px;
      font-weight: 500;
    }
    p {
      font-size: 16px;
      font-weight: 300;
      line-height: 32px;
    }
    span {
      color: #fad7a6;
      font-family: Montserrat;
      font-size: 67px;
      font-weight: 600;
    }
  }
}
#to-top {
  width: 52px;
  height: 52px;
  background-color: #000000;
  border-radius: 50%;
  position: fixed;
  bottom: 30px;
  right: 30px;
  text-align: center;
  cursor: pointer;
  i {
    padding-top: 15px;
    color: #fff;
    text-align: center;
  }
}
.products-page {
}
.cat-item {
  position: relative;
  height: 450px;
  transition: 0.3s;
  margin-bottom: 30px;
  h2 {
    color: #fff;
    position: absolute;
    left: 30px;
    font-size: 35px;
    font-weight: 600;
    bottom: 30px;
    i {
      font-size: 30px;
      margin-left: 20px;
      visibility: hidden;
      opacity: 0;
      transition: visibility 0s, opacity 0.5s linear;
    }
  }
  &:hover {
    transition: 0.3s;
    h2 {
      i {
        visibility: visible;
        transition: 0.3s;
        margin-left: 30px;
        opacity: 1;
      }
    }
  }
}

.modal-content {
  background: transparent;
  border: 0;
}
.product-page {
  .product-page-bg {
    height: 560px;
  }
  .product-page-video {
    height: 60vh;
  }
  .product-page-content {
    position: relative;
    bottom: auto;
    top: -100px;
    background: #fff;
    padding: 50px 60px;
    h4 {
      font-size: 35px;
      font-weight: 400;
    }
    p {
      color: #535353;
      font-family: Montserrat;
      font-size: 18px;
      font-weight: 300;
      line-height: 32px;
    }
  }
}
.search-page {
  span {
    color: $yellow;
  }
  li {
    list-style: disc;
    margin: 20px 0;
    a {
      font-size: 24px;
      font-weight: 600;
      color: $yellow;
    }
  }
}
.product-slider {
  margin-bottom: 80px;
  .product-item {
    margin: 30px 5px;
    text-align: center;
    background: #fff;
    padding: 30px 0;
    transition: 0.3s;
    cursor: pointer;
    img {
      max-height: 300px;
      margin: 0 auto 50px;
    }
    span {
      border: 1px solid #c9c9c9;
      padding: 10px;
      margin-top: 40px;
      font-size: 16px;
      font-weight: 400;
    }
    &:hover {
      span {
        transition: 0.3s;
        background-color: $yellow;
        border-color: $yellow;
        color: #fff;
      }
    }
  }
}
.student-intern {
  ::-webkit-scrollbar {
    width: 2px;
  }

  /* Track */
  ::-webkit-scrollbar-track {
    background-color: #eee;
  }

  /* Handle */
  ::-webkit-scrollbar-thumb {
    width: 3px;
    height: 212px;
    background-color: #a0a4a7;
  }

  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #555;
  }
  .bg-thumbnail {
    height: 600px;
  }
  .student-content {
    background: #fff;
    padding: 50px;
    h4 {
      font-size: 20px;
      font-weight: 500;
      margin-bottom: 30px;
    }
    .content {
      font-size: 18px;
      font-weight: 300;
      line-height: 32px;
      max-width: 650px;
      padding-right: 50px;
      height: 400px;
      overflow-y: scroll;
    }
  }
}

.quote {
  margin: 50px 0 100px;
  blockquote {
    text-align: center;
    color: #1b262c;
    font-family: Montserrat;
    font-size: 50px;
    font-weight: 500;
  }
  .quote1 {
    position: absolute;
    left: 50px;
    top: -20px;
  }
  .quote2 {
    position: absolute;
    right: 50px;
    bottom: -20px;
  }
}

.phase {
  margin: 100px 0 80px;
  h4 {
    margin-bottom: 50px;
  }
  .wp-block-image {
    display: inline-flex;
    width: 24%;
    background: #fff;
    height: 200px;
    position: relative;
    figure {
      text-align: center;
      margin-top: 50px;
      img {
        height: 70px;
      }
      figcaption {
        width: 200px;
        font-size: 16px;
        font-weight: 400;
        letter-spacing: 0.36px;
        margin-top: 12px;
      }
    }
    &:nth-child(odd) {
      background-color: #efefef;
    }
    &:last-child {
      &:after {
        content: '';
        display: none;
      }
    }
    &:after {
      content: url('../images/arrow.png');
      background-color: #fad7a6;
      width: 35px;
      height: 35px;
      position: absolute;
      right: -18px;
      top: 40%;
      z-index: 1;
      border-radius: 50%;
      text-align: center;
      padding-top: 8px;
      padding-left: 2px;
    }
  }
}

.panel-heading {
  padding: 0;
  border: 0;
}
.panel-title > a,
.panel-title > a:active {
  display: block;
  padding: 15px 20px;
  color: #060709;
  font-family: Montserrat;
  font-size: 16px;
  font-weight: 600;
}
.panel-heading a:before {
  content: url('../images/down-arrow.png');
  float: right;
  transition: all 0.5s;
}
.panel-heading.active a:before {
  -webkit-transform: rotate(180deg);
  -moz-transform: rotate(180deg);
  transform: rotate(180deg);
}
.vacancy {
  max-width: 950px;
  margin: 0 auto;
  border-top: 1px solid #ccc;
  margin-top: 40px;
  .panel-heading {
    background: #fff;
    border: 1px solid #ccc;
    border-top: 0;
    transition: 0.3s;
    &.active {
      background-color: #fad7a6;
      transition: 0.3s;
    }
    .panel-title {
      margin-bottom: 0;
    }
  }
  .panel-body {
    border: 1px solid #cccccc;
    background-color: #f2f2f2;
    padding: 20px;
    table {
      tr {
        th,
        td {
          padding: 5px 20px;
          a {
            color: #060709;
            font-family: Montserrat;
            font-size: 14px;
            font-weight: 300;
            text-decoration: underline;
          }
        }
      }
    }
  }
}
